%define section   free

Name:           berkeleydb
Version:        1.7.0
Release:        1jpp
Epoch:          0
Summary:        Berkeley DB Java Edition

Group:          Development/Libraries/Java
License:        BSD-style
URL:            http://www.sleepycat.com/products/je.shtml
Source0:        http://downloads.sleepycat.com/je-1.7.0.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.6, ant-junit >= 0:1.6, junit >= 0:3.8.1
BuildRequires:  java >= 0:1.4.2
Requires:  java >= 0:1.4.2

%description
As Java has become more important for building large 
systems, customers asked for a version of Berkeley DB 
that provides the same services, but that is written 
entirely in Java. They wanted the performance, 
reliability and scalability of Berkeley DB without the 
complexity and cost of switching between Java and C 
execution at run-time. In addition, they wanted to take 
advantage of abstractions and services available in Java 
that are not available under C.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}

%package        manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description    manual
Documents for %{name}

%package        demo
Summary:        Examples for %{name}
Group:          Development/Documentation

%description    demo
Examples for %{name}

%prep
%setup -q -n je-1.7.0

%build
export CLASSPATH=
ant jar javadoc-all test

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_javadir}

install -pm 644 lib/je.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/java/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf docs/java

# manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}

# demo
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp LICENSE README $RPM_BUILD_ROOT%{_datadir}/%{name}
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/examples
cp -pr examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}/examples

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%{_javadir}/*.jar
%doc %{_datadir}/%{name}/LICENSE
%doc %{_datadir}/%{name}/README

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}

%files demo
%defattr(-,root,root,-)
%{_datadir}/%{name}/examples

%changelog
* Tue Feb 08 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.7.0-1jpp
- First JPackage release
